import frappe
from custom_ui.db_utils import build_full_address

def before_insert(doc, method):
    print("DEBUG: Before Insert Triggered for Address")
    if not doc.full_address:
        doc.full_address = build_full_address(doc)
        